
# Fedora review:
# http://bugzilla.redhat.com/194373

Summary: Educational/Edutainment applications
Name: 	 kdeedu
Group:	 Amusements/Games
Version: 3.5.6
Release: 1%{?dist}

License: GPL
URL:	 http://edu.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel >= 6:%{version}
BuildRequires: python-devel python
BuildRequires: boost-devel
# FIXME/TODO
#BuildRequires: ocaml
# facile: See http://www.recherche.enac.fr/log/facile/
#BuildRequires: facile

Requires: kdelibs >= 6:%{version}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

#FIXME/TODO: package "Some Juicy Fonts" 
# (http://www.sourceforge.net/projects/sjfonts) that includes the Steve font
# and Requires: it

%description
Educational/Edutainment applications, including:
* blinken: Simon Says Game
* kalzium: Periodic Table of Elements
* kanagram: Letter Order Game
* kbruch: Exercise Fractions
* keduca: Tests and Exams
* kgeography: Geography Trainer
* khangman: Hangman Game
* kig: Interactive Geometry
* kiten: Japanese Reference/Study Tool
* klatin: Latin Reviser
* klettres: French alphabet tutor
* kmplot: Mathematical Function Plotter
* kpercentage: Excersie Percentages
* kstars: Desktop Planetarium
* ktouch: Touch Typing Tutor
* kturtle: Logo Programming Environment
* kverbos: Study Spanish Verbforms
* kvoctrain: Vocabulary Trainer
* kwordquiz: Vocabulary Trainer

%package devel
Summary: Header files for %{name} 
Group:	 Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel 
%description devel
%{summary}.


%prep
%setup -q -n %{name}-%{version}%{?beta}


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --enable-kig-python-scripting 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category="Qt" \
  --add-category="KDE" \
  --add-category="Education" \
  --add-category="X-KDE-Edu-Language" \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Edutainment/*/kwordquiz.desktop 

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
      done
    popd
  fi
done  
fi  

# rpmdocs
for dir in blinken k* ; do
  for file in AUTHORS ChangeLog README TODO ; do
    test -s  "$dir/$file" && install -p -m644 -D "$dir/$file" "rpmdocs/$dir/$file"
  done
done

# Unpackages files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING
%doc rpmdocs/*
%{_bindir}/*
%{_datadir}/applications/kde/*
# .directory entries
%{_datadir}/applnk/Edutainment/
%{_datadir}/apps/*
%config %{_datadir}/config*/*
%{_datadir}/mimelnk/*/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/services/*
%{_libdir}/kde3/*.[ls][ao]
%{_libdir}/lib*.so.*

%files devel 
%defattr(-,root,root,-)
%doc libkdeedu/AUTHORS libkdeedu/README
%{_includedir}/kde/*
%{_libdir}/lib*.so


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.6-1
- kde-3.5.6

* Thu Oct 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.5-1
- 3.5.5

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.4-1
- kde-3.5.4

* Wed Jun 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.3-2 
- cleanup for Extras
- update %%description
- %%doc: COPYING, app docs (README, TODO, etc...)
- follow icon spec
- BR: desktop-file-utils

* Sat Jun 03 2006 Than Ngo <than@redhat.com> 3.5.3-1
- update to 3.5.3

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 3.5.2-1
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb 04 2006 Than Ngo <than@redhat.com> 3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 3.5.0-1
- 3.5 final

* Fri Nov 11 2005 Than Ngo <than@redhat.com> 3.4.92-2
- fix #172887 

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 3.4.92-1
- update to 3.5 beta2

* Thu Oct 06 2005 Than Ngo <than@redhat.com> 3.4.91-1
- update to 3.5 beta 1

* Wed Sep 21 2005 Than Ngo <than@redhat.com> 3.4.2-3
- fix uic build problem

* Wed Aug 24 2005 Than Ngo <than@redhat.com> 3.4.2-2
- rebuilt against boost-1.33

* Wed Aug 10 2005 Than Ngo <than@redhat.com> 3.4.2-1
- update to 3.4.2

* Mon Jul 18 2005 Than Ngo <than@redhat.com> 3.4.1-2
- enable python-scripting #157961

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 3.4.1-1
- 3.4.1
- fix gcc4 build problem

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.1 
- 3.4.0 rc1

* Wed Feb 16 2005 Than Ngo <than@redhat.com> 3.3.92-0.1
- KDE-3.4 Beta2

* Wed Feb 09 2005 Than Ngo <than@redhat.com> 3.3.2-0.2
- replace kgeo (#142367)

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2

* Mon Oct 18 2004 Than Ngo <than@redhat.com> 3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 3.3.1-1
- update to 3.3.1 release

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 3.2.3-1
- update to 3.2.3

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 3.2.2-2
- fix some broken code

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 3.2.2-1
- update to 3.2.2

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 3.2.1-1
- 3.2.1

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 3.2.0-1.5
- gcc 3.4 build problem

* Thu Feb 19 2004 Than Ngo <than@redhat.com> 3.2.0-1.4
- add missing ldconfig in post/postun, #116171

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 3.2.0-0.3
- 3.2.0 release
- built against qt 3.3.0

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 3.1.94-0.1
- KDE 3.2 Beta 2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.1.93-0.2
- get rid of rpath

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 3.1.93-0.1
- KDE 3.2 Beta1
- cleanup
- remove some unneeded patch files

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 3.1.4-1
- 3.1.4

* Thu Aug 21 2003 Than Ngo <than@redhat.com> 3.1.3-2
- fixed build problem with gcc 3.3

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 3.1.3-1
- 3.1.3

* Fri Jul 4 2003 Than Ngo <than@redhat.com> 3.1.2-5
- don't include debug infos in main package (bug #87730)

* Thu Jun 26 2003 Than Ngo <than@redhat.com> 3.1.2-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- remove some unneeded macros

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.5
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.4
- rc6
- removed size_t check
- excluded ia64

* Sun Dec  1 2002 Than Ngo <than@redhat.com> 3.1-0.3
- add missing defattr

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.2
- get rid of sub packages
- desktop issues

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- add fix for building xjdxgen

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- cleanup specfile

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3

* Fri Aug  9 2002 Than Ngo <than@redhat.com> 3.0.2-3
- desktop file issues
- fixed a bug in install (bug #69414)
 
* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-2
- build using gcc-3.2-0.1

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat May 25 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
